There are four components to TM1Connect that can be installed all on one computer or in any combination on various computers.

 

The following System, Hardware, and Software Requirements for each component are listed below:

hmtoggle_arrow1 TM1Connect Server

Click to expand Operating System Compatibility

TM1Connect Server is compatible with each of the operating systems in the following table:

Platform

Versions

Windows Desktop

Windows 7 , Windows 8, Windows 8.1

Windows Server

Windows Server 2008, Windows Server 2012

Click to expand Hardware Requirements

TM1Connect Server requires the minimum hardware listed in the following table:

Hardware/VM Component

Minimum Specifications

Processor

Quad Core or greater Intel or AMD microprocessor

Free hard disk space

200 MB+

RAM

8 GB RAM

Click to expand Software Requirements

TM1Connect Server requires the software listed in the following table to be installed:

Software

Versions

Internet Information Server (IIS)

IIS 7.0, IIS 7.5, IIS 8.0, IIS 8.5

IBM Cognos TM1 (minimum TM1 APIs)

9.5x, 10.x

Microsoft .NET Framework

.NET Framework 4.5.1 and higher

WCF HTTP Activation

Only applies to Windows 8/8.1/2012 using .NET Framework v4.5.x

hmtoggle_arrow1 TM1Connect Data Agent

Click to expand Operating System Compatibility

TM1Connect Data Agent is compatible with each of the operating systems listed in the following table:

Platform

Versions

Windows Desktop

Windows 7, Windows 8, Windows 8.1

Windows Server

Windows Server 2008, Windows Server 2012

Click to expand Hardware Requirements

TM1Connect Data Agent requires the minimum hardware listed in the following table:

Hardware/VM Component

Minimum Specifications

Processor

Quad Core or greater Intel or AMD microprocessor

Free hard disk space

200 MB+

RAM

8 GB RAM

Click to expand Software Requirements

TM1Connect Data Agent requires the software listed in the following table to be installed:

Software

Versions

IBM Cognos TM1

9.5x, 10.x

Microsoft .NET Framework

.NET Framework 4.5.x

hmtoggle_arrow1 TM1Connect QlikView Plug-In

Click to expand Operating System Compatibility

The TM1Connect QlikView Plug-In is compatible with each of the operating systems listed in the following table:

Platform

Versions

Windows Desktop

Windows 7, Windows 8, Windows 8.1

Windows Server

Windows Server 2008, Windows Server 2012

Click to expand Hardware Requirements

The TM1Connect QlikView Plug-In requires the minimum hardware listed in the following table:

Hardware/VM Component

Minimum Specifications

Processor

Intel or AMD microprocessor

Free hard disk space

30 MB+

RAM

4 GB RAM

Click to expand Software Requirements

The TM1Connect QlikView Plug-In requires the software listed in the following table to be installed

Software

Versions

QlikView Desktop

QlikView Desktop 10.x, QlikView Desktop 11.x

Microsoft .NET Framework

.NET Framework 4.5.x

hmtoggle_arrow1 TM1Connect ODBC Driver

Click to expand Operating System Compatibility

The TM1Connect ODBC Driver is compatible with each of the operating systems listed in the following table:

Platform

Versions

Windows Desktop

Windows 7, Windows 8, Windows 8.1

Windows Server

Windows Server 2008, Windows Server 2012

Click to expand Hardware Requirements

The TM1Connect ODBC Driver requires the minimum hardware listed in the following table:

Hardware/VM Component

Minimum Specifications

Processor

Intel or AMD microprocessor

Free hard disk space

30 MB+

RAM

4 GB RAM

Click to expand Software Requirements

The TM1Connect ODBC Driver requires the software listed in the following table to be installed:

Software

Versions

Microsoft .NET Framework

.NET Framework 4.5.x